Subject: [bug#38846] [PATCH 4/4] DRAFT doc: Add a cooption policy for commit access.

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 02 Jan 2020 12:15:38 +0100

Brett Gilio <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> +Find three committers who would vouch for you, emailing a signed
>> +statement to @email{guix-maintainers@@gnu.org} (a private alias for the
>> +collective of maintainers).  You can view the list of committers at
>> +@url{https://savannah.gnu.org/project/memberlist.php?group=guix}.
>> +
>> +Committers are expected to have had some interactions with you as a
>> +contributor and to be able to judge whether you are sufficiently
>> +familiar with the project's practices.  It is @emph{not} a judgment on
>> +the quality of your work, so a refusal should rather be interpreted as
>> +``let's try again later''.
>
> Maybe it is superfluous, because maintainers have the final say
> anyways. But I think getting vouching approval by three committers and
> one maintainer would be a fine idea.

One long term goal is to reduce the dictatorial powers of maintainers
and shift more towards finding consensus or seeking consent.
Maintainers can’t know every new contributor, but they probably know
the committers who vouch for the new contributor.

--
Ricardo